Subject: bug#44961: 28.0.50; [feature/pgtk] frame-position returns incorrect information

From: Po Lu <[email-masked]>
Date: Mon, 21 Feb 2022 19:28:27 +0800

Robert Pluim <[email-masked]> writes:

>     Stephen> This sounds like bug#52697, which was fixed on master in 855928082b and
>     Stephen> 9966d9574b.

> It does, but I think that only fixed part of the issue. With
> GDK_BACKEND=x11, I get the right results, but with the Wayland backend
> I always get "(26 . 23)" wherever I place the frame(although if I
> maximize the frame I get "(0 . 0)"

Could you tell the result with an undecorated frame?

> This might be an effect of the Wayland coordinate system insanity that
> they've foisted on the rest of the world.

I tend to agree.